Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.servlet
Class EjbLocalRefImpl

    java.lang.Object
      org.jasig.portal.container.om.servlet.EjbLocalRefImpl

All Implemented Interfaces:
  java.io.Serializable

    public class EjbLocalRefImpl

extends java.lang.Object
implements java.io.Serializable

Data structure to support WebApplicationDefinition for marshalling and unmarshalling of web.xml. Not needed by the Pluto container.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private java.lang.String` | `ejbLink`
`private java.lang.String` | `ejbRefName`
`private java.lang.String` | `ejbRefType`
`private java.lang.String` | `local`
`private java.lang.String` | `localHome`

Constructor Summary
`EjbLocalRefImpl()`

Method Summary
`org.apache.pluto.om.common.DescriptionSet` | `getDescriptions()`
`java.lang.String` | `getEjbLink()`
`java.lang.String` | `getEjbRefName()`
`java.lang.String` | `getEjbRefType()`
`java.lang.String` | `getLocal()`
`java.lang.String` | `getLocalHome()`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setEjbLink(java.lang.String ejbLink)`
`void` | `setEjbRefName(java.lang.String ejbRefName)`
`void` | `setEjbRefType(java.lang.String ejbRefType)`
`void` | `setLocal(java.lang.String local)`
`void` | `setLocalHome(java.lang.String localHome)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

### ejbRefName

    private java.lang.String ejbRefName

### ejbRefType

    private java.lang.String ejbRefType

### localHome

    private java.lang.String localHome

### local

    private java.lang.String local

### ejbLink

    private java.lang.String ejbLink

Constructor Detail

### EjbLocalRefImpl

    public EjbLocalRefImpl()

Method Detail

### getDescriptions

    public org.apache.pluto.om.common.DescriptionSet getDescriptions()

### getEjbRefName

    public java.lang.String getEjbRefName()

### getEjbRefType

    public java.lang.String getEjbRefType()

### getLocalHome

    public java.lang.String getLocalHome()

### getLocal

    public java.lang.String getLocal()

### getEjbLink

    public java.lang.String getEjbLink()

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

### setEjbRefName

    public void setEjbRefName(java.lang.String ejbRefName)

### setEjbRefType

    public void setEjbRefType(java.lang.String ejbRefType)

### setLocalHome

    public void setLocalHome(java.lang.String localHome)

### setLocal

    public void setLocal(java.lang.String local)

### setEjbLink

    public void setEjbLink(java.lang.String ejbLink)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD